package cn.com.ty.lift.business.annualinspection.service;

import cn.com.ty.lift.business.annualinspection.dto.InspectionRequest;
import cn.com.ty.lift.business.annualinspection.dto.InspectionResponse;
import cn.com.ty.lift.business.annualinspection.entity.AnnualInspection;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 年检记录 服务类
 * </p>
 *
 * @author wcz
 * @since 2019-12-10
 */
public interface AnnualInspectionService extends IService<AnnualInspection> {

    IPage<InspectionResponse> listByCondition(InspectionRequest request);

    long countByCondition(InspectionRequest request);

    InspectionResponse selectByIdWithInfo(Long id);
}
