package cn.com.ty.lift.enterprise.oa.dto;

import cn.com.xwy.boot.controller.BaseRequestModel;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * @author wcz
 * @date 2019/12/12
 * @description 签到管理接口请求入参
 */
@Data
public class AttendanceRequest extends BaseRequestModel{
    /**
     * 主键id
     */
    private Long id;
    /**
     * 维保公司id
     */
    private Long mtCompanyId;
    /**
     * 用户名称
     */
    private String username;
    /**
     * 签到开始时间
     */
    private LocalDateTime begin;
    /**
     * 签到结束时间
     */
    private LocalDateTime end;
}
