package cn.com.ty.lift.enterprise.oa.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 公司公告
 * </p>
 *
 * @author wcz
 * @since 2019-12-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Announcement implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId("id")
    private Long id;

    /**
     * 公司ID
     */
    @TableField("mt_company_id")
    private Long mtCompanyId;

    /**
     * 标题
     */
    @TableField("title")
    private String title;

    /**
     * 内容
     */
    @TableField("content")
    private String content;

    /**
     * 发布人
     */
    @TableField("user_id")
    private Long userId;

    /**
     * 发布时间
     */
    @TableField("post_date")
    private LocalDateTime postDate;

    /**
     * 创建时间
     */
    @TableField("create_date")
    private LocalDateTime createDate;


}
